Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1413182

Summary: Respin the Firefox 50 build to allow early testing of NSS 3.28.1
Product: [Fedora] Fedora Reporter: Kai Engert (:kaie) (inactive account) <kengert>
Component: firefoxAssignee: Martin Stransky <stransky>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: dueno, gecko-bugs-nobody, jhorak, lslebodn, mtasaka, pjasicek, stransky
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 12:13:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1381400    

Description Kai Engert (:kaie) (inactive account) 2017-01-13 20:55:41 UTC
When testing NSS 3.28.1 on Fedora, I learned that it doesn't work with google.com and some other sites.

In order to make it work, Firefox needs a small patch that has been applied by upstream in Firefox 51 and later versions:
https://bugzilla.mozilla.org/show_bug.cgi?id=1290037

I've already tested using a Fedora 25 Firefox 50.1.0 scratch build, that patch indeed fixes the issue.

It would be very nice if we were able to begin testing of NSS 3.28.1 earlier than the Firefox 51 release date.

Would you be able to to produce updated firefox builds for F24 and F25 within the next few days? That would be awesome.

See also bug 1381400 comment 26.

Comment 1 Kai Engert (:kaie) (inactive account) 2017-01-13 20:57:11 UTC
+Patch227:        curve-ff.patch
+%patch227 -p1 -b .curve-ff

Comment 2 Kai Engert (:kaie) (inactive account) 2017-01-16 12:20:05 UTC
Martin has submitted a rawhide build:
https://koji.fedoraproject.org/koji/buildinfo?buildID=834105

Comment 3 Mamoru TASAKA 2017-01-16 12:45:14 UTC
(In reply to Kai Engert (:kaie) from comment #2)
> Martin has submitted a rawhide build:
> https://koji.fedoraproject.org/koji/buildinfo?buildID=834105

Well, sed is upgraded to 4.3.
https://bugzilla.mozilla.org/show_bug.cgi?id=1329272 or
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=850972
is needed.

Comment 4 Kai Engert (:kaie) (inactive account) 2017-01-16 13:29:44 UTC
Mamoru, thank you for the information.

Martin, could you please help with that? Thanks in advance.

Comment 5 Martin Stransky 2017-01-16 13:43:40 UTC
New build is here https://koji.fedoraproject.org/koji/taskinfo?taskID=17302134

Comment 6 Fedora Update System 2017-01-18 09:47:00 UTC
firefox-50.1.0-3.fc25 nss-3.28.1-1.2.fc25 nss-softokn-3.28.1-1.0.fc25 nss-util-3.28.1-1.0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 7 Fedora Update System 2017-01-18 09:47:10 UTC
firefox-50.1.0-3.fc25 nss-3.28.1-1.2.fc25 nss-softokn-3.28.1-1.0.fc25 nss-util-3.28.1-1.0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 8 Fedora Update System 2017-01-18 09:50:48 UTC
firefox-50.1.0-3.fc24 nss-3.28.1-1.2.fc24 nss-softokn-3.28.1-1.0.fc24 nss-util-3.28.1-1.0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 9 Fedora Update System 2017-01-18 09:51:11 UTC
firefox-50.1.0-3.fc24 nss-3.28.1-1.2.fc24 nss-softokn-3.28.1-1.0.fc24 nss-util-3.28.1-1.0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 10 Fedora Update System 2017-01-19 07:22:12 UTC
firefox-50.1.0-3.fc24, nss-3.28.1-1.2.fc24, nss-softokn-3.28.1-1.0.fc24, nss-util-3.28.1-1.0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 11 Fedora Update System 2017-01-19 09:07:05 UTC
firefox-50.1.0-3.fc25, nss-3.28.1-1.2.fc25, nss-softokn-3.28.1-1.0.fc25, nss-util-3.28.1-1.0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 12 Fedora Update System 2017-01-21 11:50:52 UTC
firefox-50.1.0-3.fc25 icecat-45.5.1-6.fc25 nss-3.28.1-1.3.fc25 nss-softokn-3.28.1-1.0.fc25 nss-util-3.28.1-1.0.fc25 seamonkey-2.46-3.fc25 thunderbird-45.6.0-5.fc25 xulrunner-44.0-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 13 Fedora Update System 2017-01-21 11:52:07 UTC
firefox-50.1.0-3.fc24 icecat-45.5.1-6.fc24 nss-3.28.1-1.3.fc24 nss-softokn-3.28.1-1.0.fc24 nss-util-3.28.1-1.0.fc24 seamonkey-2.46-3.fc24 thunderbird-45.6.0-5.fc24 xulrunner-44.0-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 14 Fedora Update System 2017-01-21 21:52:01 UTC
firefox-50.1.0-3.fc24, icecat-45.5.1-6.fc24, nss-3.28.1-1.3.fc24, nss-softokn-3.28.1-1.0.fc24, nss-util-3.28.1-1.0.fc24, seamonkey-2.46-3.fc24, thunderbird-45.6.0-5.fc24, xulrunner-44.0-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 15 Fedora Update System 2017-01-21 22:24:49 UTC
firefox-50.1.0-3.fc25, icecat-45.5.1-6.fc25, nss-3.28.1-1.3.fc25, nss-softokn-3.28.1-1.0.fc25, nss-util-3.28.1-1.0.fc25, seamonkey-2.46-3.fc25, thunderbird-45.6.0-5.fc25, xulrunner-44.0-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 16 Fedora Update System 2017-01-24 03:19:33 UTC
firefox-50.1.0-3.fc25, icecat-45.5.1-6.fc25, nss-3.28.1-1.3.fc25, nss-softokn-3.28.1-1.0.fc25, nss-util-3.28.1-1.0.fc25, seamonkey-2.46-3.fc25, thunderbird-45.6.0-5.fc25, xulrunner-44.0-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-01-24 03:48:06 UTC
firefox-50.1.0-3.fc24, icecat-45.5.1-6.fc24, nss-3.28.1-1.3.fc24, nss-softokn-3.28.1-1.0.fc24, nss-util-3.28.1-1.0.fc24, seamonkey-2.46-3.fc24, thunderbird-45.6.0-5.fc24, xulrunner-44.0-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora End Of Life 2017-02-28 10:57:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 19 Fedora End Of Life 2018-05-03 08:30:28 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2018-05-29 12:13:22 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.